Query Storage Location Type
curl --request GET \
--url https://api.jtl-cloud.com/erp/warehouses/storagelocationtypes \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/warehouses/storagelocationtypes"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/warehouses/storagelocationtypes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"Id": "561FCDEA-261D-4593-A0E4-E9AE7892D046",
"Name": "goods receipt",
"Description": "Optional storage location description",
"Scope": "Token1,Token2"
}
]warehouse
Query Storage Location Type
Query all storage location types
GET
/
warehouses
/
storagelocationtypes
Query Storage Location Type
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.
The tenant ID for the target ERP instance.
Response
Returns all storage location types.
Unique Id of the storage location type as uuid.
Example:
"561FCDEA-261D-4593-A0E4-E9AE7892D046"
Name of the storage location type.
Example:
"goods receipt"
Description of the storage location type.
Example:
"Optional storage location description"
List of Scopes with permissions
Example:
"Token1,Token2"
Was this page helpful?